1.0
1.0
put /v1/auto-scaling-groups/{auto_scaling_group_id}
Description
Auto-Scaling Group을 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AutoScalingGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']"
}
Example HTTP response
Response 200
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"subnet_ids": [],
"total_server_count": 1,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}